[Bf-blender-cvs] SVN commit: /data/svn/bf-blender [52777] trunk/blender/build_files/ build_environment/install_deps.sh: Can't stress how much I hate bash...

Bastien Montagne montagne29 at wanadoo.fr
Tue Dec 4 23:03:40 CET 2012


Revision: 52777
          http://projects.blender.org/scm/viewvc.php?view=rev&root=bf-blender&revision=52777
Author:   mont29
Date:     2012-12-04 22:03:39 +0000 (Tue, 04 Dec 2012)
Log Message:
-----------
Can't stress how much I hate bash... This should fix a bug with version comparison (at least under fedora, debian looked OK :/ ).

Modified Paths:
--------------
    trunk/blender/build_files/build_environment/install_deps.sh

Modified: trunk/blender/build_files/build_environment/install_deps.sh
===================================================================
--- trunk/blender/build_files/build_environment/install_deps.sh	2012-12-04 20:09:07 UTC (rev 52776)
+++ trunk/blender/build_files/build_environment/install_deps.sh	2012-12-04 22:03:39 UTC (rev 52777)
@@ -340,7 +340,7 @@
 # $1 and $2 should be version numbers made of numbers only.
 version_ge() {
   version_eq $1 $2
-  if [ $? -eq 1 -a $(_echo "$1\n$2" | sort --version-sort | head --lines=1) = "$1" ]; then
+  if [ $? -eq 1 -a $(_echo "$1" "$2" | sort --version-sort | head --lines=1) = "$1" ]; then
     return 1
   else
     return 0
@@ -1730,7 +1730,7 @@
     _packages="$_packages $OPENJPEG_DEV"
   fi
 
-  # XXX At least under Debian, static schro give problem at blender linking time... :/
+  # XXX At least under Debian, static schro gives problem at blender linking time... :/
   if $SCHRO_USE && ! $ALL_STATIC; then
     _packages="$_packages $SCHRO_DEV"
   fi




More information about the Bf-blender-cvs mailing list